| Kea 3.0.2-git

http_acceptor.h File Reference
`#include <asiolink/tls_acceptor.h>`
`#include <boost/shared_ptr.hpp>`
`#include <boost/system/system_error.hpp>`
`#include <functional>`
Include dependency graph for http_acceptor.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::http

## Typedefs
typedef asiolink::TCPAcceptor< HttpAcceptorCallback > | isc::http::HttpAcceptor
| Type of the TCP acceptor used in this library.
typedef std::function< void(const boost::system::error_code &)> | isc::http::HttpAcceptorCallback
| Type of the callback for the TCP acceptor used in this library.
typedef boost::shared_ptr< HttpAcceptor > | isc::http::HttpAcceptorPtr
| Type of shared pointer to TCP acceptors.
typedef asiolink::TLSAcceptor< HttpAcceptorCallback > | isc::http::HttpsAcceptor
| Type of the TLS acceptor used in this library.
typedef boost::shared_ptr< HttpsAcceptor > | isc::http::HttpsAcceptorPtr
| Type of shared pointer to TLS acceptors.